-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 60 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=60;

-- Change "database_name" to "database_dir" for Hue if database type is sqlite3.

create temporary table TEMP_HUE as
select * from CONFIGS 
where SERVICE_ID = (select SERVICE_ID from SERVICES where SERVICE_TYPE = 'HUE') and
      REVISION_ID = (select CONFIG_REVISION_ID from SERVICES where SERVICE_TYPE = 'HUE');

-- Since sqlite3 is the default database type, we won't have an entry for it.

update CONFIGS set ATTR='database_dir'
where CONFIG_ID = (select CONFIG_ID from TEMP_HUE where ATTR='database_name') and
      not exists (select * from TEMP_HUE where ATTR='database_type');

drop table TEMP_HUE;