-- Copyright (c) 2013 Cloudera, Inc. All rights reserved.
--
-- OPSAPS-14916. This script fixes the process table so that one-off processes
-- attached to a finished command are properly marked as not running.
--
update
  PROCESSES
set
  RUNNING = 'f'
where
  PROCESS_ID in (
    select
      PROCESSES.PROCESS_ID
    from
      COMMANDS,
      PROCESSES
    where
      COMMANDS.ACTIVE = 0
      and
      PROCESSES.RUNNING = 't'
      and
      COMMANDS.COMMAND_ID = PROCESSES.COMMAND_ID
      and
      PROCESSES.ONE_OFF = 't'
  );
